Bug 211570 - x11-fonts/fontconfig: Update to 2.12.1
Summary: x11-fonts/fontconfig: Update to 2.12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-04 06:39 UTC by lightside
Modified: 2016-08-22 16:46 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch for x11-fonts/fontconfig (since 419065 revision) (16.83 KB, patch)
2016-08-04 06:39 UTC, lightside
no flags Details | Diff
Proposed patch for x11-fonts/fontconfig-reference (since 373987 revision) (859 bytes, patch)
2016-08-04 06:41 UTC, lightside
lightside: maintainer-approval? (gnome)
Details | Diff
Proposed patch for x11-fonts/fontconfig (since 419065 revision) (17.78 KB, patch)
2016-08-08 01:34 UTC, lightside
no flags Details | Diff
Proposed patch for x11-fonts/fontconfig (since 419065 revision) (17.49 KB, patch)
2016-08-08 01:38 UTC, lightside
lightside: maintainer-approval? (gnome)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-08-04 06:39:46 UTC
Created attachment 173266 [details]
Proposed patch for x11-fonts/fontconfig (since 419065 revision)

Patch to update x11-fonts/fontconfig port from 2.11.1 to 2.12.0 version.

Look following link for changes:
https://cgit.freedesktop.org/fontconfig/tree/README?id=2.12.0

- Add license information
- Pet portlint
- Rework installation of man pages
- Remove patch, fixed by upstream
- Regenerate patches
- Adapt pkg-plist

Tested with using poudriere on FreeBSD 9.3 amd64 and native build on FreeBSD 10.2 amd64
Comment 1 lightside 2016-08-04 06:41:43 UTC
Created attachment 173267 [details]
Proposed patch for x11-fonts/fontconfig-reference (since 373987 revision)

Changes for x11-fonts/fontconfig-reference port:
- Add NO_ARCH=yes
- Adapt pkg-plist

Possible to add NO_ARCH=yes for devel/glib20-reference/Makefile also, in conjunction with PORTREVISION bump.
Comment 2 lightside 2016-08-08 01:34:53 UTC
Created attachment 173390 [details]
Proposed patch for x11-fonts/fontconfig (since 419065 revision)

Updated to 2.12.1 version:
https://cgit.freedesktop.org/fontconfig/tree/README?id=2.12.1

Added options for selection of preferred hinting configuration, introduced by --with-default-hinting configure option (which is "slight", by default).
Comment 3 lightside 2016-08-08 01:38:22 UTC
Created attachment 173391 [details]
Proposed patch for x11-fonts/fontconfig (since 419065 revision)
Comment 4 commit-hook freebsd_committer 2016-08-21 19:13:53 UTC
A commit references this bug:

Author: kwm
Date: Sun Aug 21 19:13:34 UTC 2016
New revision: 420579
URL: https://svnweb.freebsd.org/changeset/ports/420579

Log:
  Update fontconfig to 2.12.1.

  Add license lines
  Add option to select the preferred hinting configuration
  Add CPE info [1]

  PR:		211570
  Submitted by:	lightside@gmx.com, rakuco@ [1]
  MFH:		2016Q3
  Security:	44989c29-67d1-11e6-8b1d-c86000169601, CVE-2016-5384

Changes:
  head/x11-fonts/fontconfig/Makefile
  head/x11-fonts/fontconfig/distinfo
  head/x11-fonts/fontconfig/files/fc-cache.1
  head/x11-fonts/fontconfig/files/fc-cat.1
  head/x11-fonts/fontconfig/files/fc-list.1
  head/x11-fonts/fontconfig/files/fc-match.1
  head/x11-fonts/fontconfig/files/fc-query.1
  head/x11-fonts/fontconfig/files/fc-scan.1
  head/x11-fonts/fontconfig/files/patch-Makefile.in
  head/x11-fonts/fontconfig/files/patch-configure
  head/x11-fonts/fontconfig/files/patch-fc-cache_fc-cache.c
  head/x11-fonts/fontconfig/files/patch-src__fccompat.c
  head/x11-fonts/fontconfig/files/patch-src_fcatomic.h
  head/x11-fonts/fontconfig/pkg-plist
  head/x11-fonts/fontconfig-reference/Makefile
  head/x11-fonts/fontconfig-reference/pkg-plist
Comment 5 Koop Mast freebsd_committer 2016-08-22 11:53:58 UTC
Committed thanks.
Comment 6 commit-hook freebsd_committer 2016-08-22 16:46:02 UTC
A commit references this bug:

Author: kwm
Date: Mon Aug 22 16:45:19 UTC 2016
New revision: 420623
URL: https://svnweb.freebsd.org/changeset/ports/420623

Log:
  MFH: r420579

  Update fontconfig to 2.12.1.

  Add license lines
  Add option to select the preferred hinting configuration
  Add CPE info [1]

  PR:		211570
  Submitted by:	lightside@gmx.com, rakuco@ [1]
  Security:	44989c29-67d1-11e6-8b1d-c86000169601, CVE-2016-5384
  Approved by:	ports-secteam@ (junovitch@)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/x11-fonts/fontconfig/Makefile
  branches/2016Q3/x11-fonts/fontconfig/distinfo
  branches/2016Q3/x11-fonts/fontconfig/files/fc-cache.1
  branches/2016Q3/x11-fonts/fontconfig/files/fc-cat.1
  branches/2016Q3/x11-fonts/fontconfig/files/fc-list.1
  branches/2016Q3/x11-fonts/fontconfig/files/fc-match.1
  branches/2016Q3/x11-fonts/fontconfig/files/fc-query.1
  branches/2016Q3/x11-fonts/fontconfig/files/fc-scan.1
  branches/2016Q3/x11-fonts/fontconfig/files/patch-Makefile.in
  branches/2016Q3/x11-fonts/fontconfig/files/patch-configure
  branches/2016Q3/x11-fonts/fontconfig/files/patch-fc-cache_fc-cache.c
  branches/2016Q3/x11-fonts/fontconfig/files/patch-src__fccompat.c
  branches/2016Q3/x11-fonts/fontconfig/files/patch-src_fcatomic.h
  branches/2016Q3/x11-fonts/fontconfig/pkg-plist
  branches/2016Q3/x11-fonts/fontconfig-reference/Makefile
  branches/2016Q3/x11-fonts/fontconfig-reference/pkg-plist